;TIP1052A.LSP:  GRADE.LSP     Utilities for Civil Engineers     (C)1994, Jeff Reimert

;========ERROR HANDLER==========
(defun grade_err (MSG)
   (alert (strcat "Error!: " MSG))
   (setq *error* OLDERR)
   (setvar"cmdecho" 1)
   (princ)
);end error defun
;=================MAIN PROGRAM==
(defun C:GRADE (/ OLDERR PT1 PT2 EL1 EL2 D1 DLT M)
   (setq OLDERR *error*)
   (setq *error* GRADE_ERR)
   (setvar"cmdecho" 0)
   (initget 1)
   (setq PT1(getpoint "\nSelect 1st Known Point: "))
   (initget 1)
   (setq EL1 (getreal "\nEnter the Elevation :"))
   (initget 1)
   (setq PT2(getpoint "\nEnter 2nd Known Point: "))
   (initget 1)
   (setq EL2(getreal "\nEnter the Elevation :"))
   ;==calculations===========
   (setq D1(distance PT1 PT2)
      DLT(- EL2 EL1)
      M(rtos(/ DLT D1) 2 2)
   );setq
   ;=========================
   (princ (strcat "\nThe % of Grade is: " M)) ;output
   (setq *error* OLDERR)
   (setvar "cmdecho" 1)
   (princ)
);end grade defun
;===============================================================
(princ "\nGRADE.LSP loaded... Start with GRADE")
(princ); end grade.lsp
